Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class AbstractBuffers

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.AbstractBuffers

All Implemented Interfaces:
  LifeCycle, Buffers

Direct Known Subclasses:
  AbstractConnector, HttpClient

    public abstract class AbstractBuffers

extends AbstractLifeCycle
implements Buffers

Abstract Buffer pool. simple unbounded pool of buffers.

Author:
  gregw

Nested Class Summary
`protected static class` | `AbstractBuffers.ThreadBuffers`

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`AbstractBuffers()`

Method Summary
`protected void` | `doStart()`
`Buffer` | `getBuffer(int size)`
`int` | `getHeaderBufferSize()`
`int` | `getRequestBufferSize()`
`int` | `getResponseBufferSize()`
`protected abstract Buffer` | `newBuffer(int size)`
`void` | `returnBuffer(Buffer buffer)`
`void` | `setHeaderBufferSize(int headerBufferSize)`
`void` | `setRequestBufferSize(int requestBufferSize)`
`void` | `setResponseBufferSize(int responseBufferSize)`
`java.lang.String` | `toString()`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, doStop, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractBuffers

    public AbstractBuffers()

Method Detail

### getBuffer

    public Buffer getBuffer(int size)

  Specified by:
    `getBuffer` in interface `Buffers`

### returnBuffer

    public void returnBuffer(Buffer buffer)

  Specified by:
    `returnBuffer` in interface `Buffers`

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### getHeaderBufferSize

    public int getHeaderBufferSize()

  Returns:
    Returns the headerBufferSize.

### setHeaderBufferSize

    public void setHeaderBufferSize(int headerBufferSize)

  Parameters:
    `headerBufferSize` - The headerBufferSize to set.

### getRequestBufferSize

    public int getRequestBufferSize()

  Returns:
    Returns the requestBufferSize.

### setRequestBufferSize

    public void setRequestBufferSize(int requestBufferSize)

  Parameters:
    `requestBufferSize` - The requestBufferSize to set.

### getResponseBufferSize

    public int getResponseBufferSize()

  Returns:
    Returns the responseBufferSize.

### setResponseBufferSize

    public void setResponseBufferSize(int responseBufferSize)

  Parameters:
    `responseBufferSize` - The responseBufferSize to set.

### newBuffer

    protected abstract Buffer newBuffer(int size)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.